Skip to main content
`Ctrl`+`K`
scipy.spatial.distance.

# yule

scipy.spatial.distance.yule(u, v, w=None)

  Compute the Yule dissimilarity between two boolean 1-D arrays.

  The Yule dissimilarity is defined as

  \[\frac{R}{c_{TT} * c_{FF} + \frac{R}{2}}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\) and \(R = 2.0 * c_{TF} * c_{FT}\).

  Parameters:
    u(N,) array_like, bool

      Input array.

    v(N,) array_like, bool

      Input array.

    w(N,) array_like, optional

      The weights for each value in u and v. Default is None, which gives each value a weight of 1.0

  Returns:
    yule double

      The Yule dissimilarity between vectors u and v.

  Examples

      >>> from scipy.spatial import distance
      >>> distance.yule([1, 0, 0], [0, 1, 0])
      2.0
      >>> distance.yule([1, 1, 0], [0, 1, 0])
      0.0